Bug 1894689 (CVE-2020-27768) - CVE-2020-27768 ImageMagick: outside the range of representable values of type 'unsigned int' at MagickCore/quantum-private.h
Summary: CVE-2020-27768 ImageMagick: outside the range of representable values of type...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27768
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1901281 1901282 1910537
Blocks: 1891602
TreeView+ depends on / blocked
 
Reported: 2020-11-04 19:16 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-15 20:53 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 7.0.9-0
Doc Type: If docs needed, set a value
Doc Text:
In ImageMagick, there is an outside the range of representable values of type 'unsigned int' at MagickCore/quantum-private.h.
Clone Of:
Environment:
Last Closed: 2020-11-24 23:35:11 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-04 19:16:59 UTC
In ImageMagick, there is an outside the range of representable values of type 'unsigned int' at MagickCore/quantum-private.h.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1751

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/95d4e94e0353e503b71a53f5e6fad173c7c70c90

Comment 1 Guilherme de Almeida Suckevicz 2020-11-04 19:17:02 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-05 22:56:48 UTC
There are numerous occurrences of this patched in MagickCore/quantum-private.h. Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was demonstrated in this case.

Comment 3 Todd Cullum 2020-11-05 22:57:05 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata .

Comment 4 Guilherme de Almeida Suckevicz 2020-11-24 19:27:54 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901281]
Affects: fedora-all [bug 1901282]

Comment 5 Product Security DevOps Team 2020-11-24 23:35:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27768


Note You need to log in before you can comment on or make changes to this bug.